Galon Cloud
Galon API v1

/jobs

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

POST /jobs

Submit a job

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
Idempotency-Keyheaderstring · required

Request body

application/json · schema JobCreate

FieldTypeDescription
type"build.application_web" | "build.application_android" | "domain.lookup" | "domain.quote" | "domain.inspect" | "domain.dns.read" · required
inputobject · required

Responses

StatusDescriptionBody
202Job acceptedJobSubmissionResponse
409Idempotency conflict
422Invalid parametersError
503job_projection_invalid: the server refuses to publish a result that does not satisfy its closed public schemaError

Examples

curl

curl -X POST "$GALON_API_BASE/jobs" \
  -H "Authorization: Bearer $GALON_API_KEY" \
  -H "Idempotency-Key: <unique-key>" \
  -H "Content-Type: application/json" \
  -d '{"type": "build.application_web", "input": {}}'

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.jobs.create({"type": "build.application_web", "input": {}}, { idempotencyKey: "<unique-key>" });

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.jobs.create({"type": "build.application_web", "input": {}}, idempotency_key="<unique-key>")